| Home | Libraries | People | FAQ | More

## Function copy_old

boost::contract::copy_old — Query if old values need to be copied (but not for virtual public functions and public function overrides).

## Synopsis

    // In header: <boost/contract/old.hpp>

    bool copy_old();

## Description

For example, this function always returns false when both postconditions and exception guarantees are not being checked (see ``BOOST_CONTRACT_NO_OLDS``). This function is usually only called by the code expanded by ``BOOST_CONTRACT_OLDOF``.

See Also:

No Macros

Returns: | True if old values need to be copied, false otherwise.